%define with_libstdc_preview 0

Name:		scim-pinyin
Version:	0.5.91
Release:        alt1
Summary:	Smart Pinyin IMEngine for Smart Common Input Method platform

License:	GPL
Group:		System/Configuration/Other
URL:		http://www.scim-im.org/projects/imengines/
Source0:	http://dl.sourceforge.net/scim/%{name}-%{version}.tar.gz
Source1:	scim-README-ALT.txt

BuildRequires: scim fontconfig gcc-c++ kdelibs libgtk+2-devel scim-devel gtk2-devel

%if %{with_libstdc_preview}
Buildrequires: libstdc++so7-devel
%endif
Requires:	scim
Obsoletes:	iiimf-le-chinput <= 0.3
Patch1:         scim-pinyin-shuangpin.patch
Patch2:         scim-pinyin-showallkeys.patch

%description
Simplified Chinese Smart Pinyin IMEngine for SCIM.

%prep
%setup -q
%patch1 -p1 -b .1-shuangpin
%patch2 -p1 -b .2-showallkeys

%build
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
%configure --disable-static
%if %{with_libstdc_preview}
# tweak libtool for libstdc++-so7
sed -i -e "s/4.1.0 /4.2.0-`grep datestamp= %{_bindir}/g++-libstdc++-so_7 | sed -e "s/datestamp=//"` /" libtool
%endif
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
make DESTDIR=${RPM_BUILD_ROOT} install
rm $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/{IMEngine,SetupUI}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/scim-1.0/*/IMEngine/pinyin.so
%{_libdir}/scim-1.0/*/SetupUI/pinyin-imengine-setup.so
%{_datadir}/scim/pinyin
%{_datadir}/scim/icons/smart-pinyin.png

%changelog
* Thu Jun 08 2006 Dmitri Kuzishchin <dim@altlinux.ru> 0.5.91-alt1
- first build for Sisyphus
